/* acconfig.h
   This file is in the public domain.

   Descriptive text for the C preprocessor macros that
   the distributed Autoconf macros can define.
   No software package will use all of them; autoheader copies the ones
   your configure.in uses into your configuration header file templates.

   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  Although this order
   can split up related entries, it makes it easier to check whether
   a given entry is in the file.

   Leave the following blank line there!!  Autoheader needs it.  */


/* Other stuff */
#undef HAVE_DLFCN_H
#undef HAVE_MMAN_H
#undef HAVE_UTSNAME_H
#undef USE_NSPR_THREADS
#undef USE_PTHREADS
#undef USE_CTHREADS
#undef USE_NSPR_THREADS
#undef USE_WIN32_THREADS
#undef USE_IRIX_SPROCS
#undef HAVE_DL_H
#undef USE_DLL

#undef HAVE_SIN_LEN
#undef HAVE_SYS_ERRLIST

/* #undef PACKAGE */
/* #undef VERSION */

/* Define if functions have initial '_'s */
#undef NEED_UNDERSCORE

/* Types */
#undef HAVE_SIGNED_LONG_LONG
#undef HAVE_UNSIGNED_LONG_LONG

#undef int8_t
#undef int16_t
#undef int32_t
#undef int64_t
#undef uint8_t
#undef uint16_t
#undef uint32_t
#undef uint64_t

#undef japhar_int8_t
#undef japhar_int16_t
#undef japhar_int32_t
#undef japhar_int64_t
#undef japhar_uint8_t
#undef japhar_uint16_t
#undef japhar_uint32_t
#undef japhar_uint64_t

/* Do we compile for Classpath ? */
#undef FOR_CLASSPATH

#undef HAVE_LIBFFI

/* Define this if you're building japhar for use in mozilla --
   it makes use of some locking functions specific to mozilla. */
#undef FOR_MOZILLA

#undef WITH_DMALLOC
#ifdef WITH_DMALLOC
#include <dmalloc.h>
#endif

/* In case someone compiles with -ansi -pedantic */
#if defined(__GNUC__)
#define inline __inline__
#endif


/* Leave that blank line there!!  Autoheader needs it.
   If you're adding to this file, keep in mind:
   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  */
