/* -*- Mode: C; c-file-style: "gnu" -*-
   nativeglue.h -- prototypes for handling native glu
   Created: Petter Reinholdtsen <pere@td.org.uit.no>, 1998-06-21
 */

/*
  This file is part of Japhar, the GNU Virtual Machine for Java Bytecodes.
  Japhar is a project of The Hungry Programmers, GNU, and OryxSoft.

  Copyright (C) 1997, 1998 The Hungry Programmers

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
#ifndef _nativeglue_h
#define _nativeglue_h

#ifdef __cplusplus
extern "C" {
#endif

extern void register_native_func(JNIEnv *env, MethodStruct *method, void *fnPtr);
extern void unregister_native_func(JNIEnv *env, MethodStruct *method);
extern jclass sig_to_jclass(JNIEnv *env, Signature *sig);
extern jobject to_reflected_method(JNIEnv *env, jmethodID methodID,
    jclass class_class, jclass method_class, jmethodID method_ctor,
    jfieldID clazz_field, jfieldID slot_field, jfieldID name_field,
    jfieldID returnType_field, jfieldID parameterTypes_field,
    jfieldID exceptionTypes_field);
extern jobject to_reflected_field(JNIEnv *env, jfieldID fieldID,
    jclass field_class, jmethodID field_ctor,
    jfieldID slot_field, jfieldID type_field, jfieldID name_field,
    jfieldID clazz_field);

#ifdef __cplusplus
};
#endif

#endif /* _nativeglue_h */
