/* -*- Mode: C; c-file-style: "gnu" -*-
   jvmdi.c -- Java Virtual Machine Debugger Interface (JDK 1.2)
   Created: Chris Toshok <toshok@hungry.com>, 9-Feb-1998.
 */
/*
  This file is part of Japhar, the GNU Virtual Machine for Java Bytecodes.
  Japhar is a project of The Hungry Programmers, GNU, and OryxSoft.

  Copyright (C) 1998 The Hungry Programmers

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */

#include "config.h"

#include "jvmdiint.h"
#include "interp.h"
#include "objects.h"
#include "log.h"

#include <stdlib.h>

#define MYLOG "JVMDI"

JThreadInfo*
thread_obj_to_jthread(JNIEnv *env,
		      japhar_obj thread_obj)
{
  jclass thread_clazz = (*env)->GetObjectClass(env, (jobject)thread_obj);
  jfieldID privateInfo = (*env)->GetFieldID(env, thread_clazz, "PrivateInfo", "I");
  JThreadInfo *info;

  info = (JThreadInfo*)(*env)->GetIntField(env, thread_obj, privateInfo);

  return info;
}
