/* -*- Mode: C; c-file-style: "gnu" -*-
   image.c -- native methods for sun/awt/image/ImageRepresentation...
   Created: Chris Toshok <toshok@hungry.com>, 11-Oct-1998
 */
/*
  This file is part of Japhar, the GNU Virtual Machine for Java Bytecodes.
  Japhar is a project of The Hungry Programmers, GNU, and OryxSoft.

  Copyright (C) 1998 The Hungry Programmers

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "config.h"
#include "jni.h"

#include "common.h"

void
Java_sun_awt_image_ImageRepresentation_offscreenInit(JNIEnv *env,
						     jobject obj,
						     jobject color)
{
  (*env)->FatalError(env, "Java_sun_awt_image_ImageRepresentation_offscreenInit not implemented");
}

jboolean
Java_sun_awt_image_ImageRepresentation_setBytePixels(JNIEnv *env,
						     jobject obj,
						     jint i1,
						     jint i2,
						     jint i3,
						     jint i4,
						     jint i5,
						     jobject color_model,
						     jbyteArray bytes,
						     jint i6, jint i7)
{
  (*env)->FatalError(env, "Java_sun_awt_image_ImageRepresentation_setBytePixels not implemented");
  return JNI_FALSE;
}

jboolean
Java_sun_awt_image_ImageRepresentation_setIntPixels(JNIEnv *env,
						    jobject obj,
						    jint i1,
						    jint i2,
						    jint i3,
						    jint i4,
						    jint i5,
						    jobject color_model,
						    jintArray ints,
						    jint i6, jint i7)
{
  (*env)->FatalError(env, "Java_sun_awt_image_ImageRepresentation_setIntPixels not implemented");
  return JNI_FALSE;
}

jboolean
Java_sun_awt_image_ImageRepresentation_finish(JNIEnv *env,
					      jobject obj)
{
  (*env)->FatalError(env, "Java_sun_awt_image_ImageRepresentation_finish not implemented");
  return JNI_FALSE;
}

void
Java_sun_awt_image_ImageRepresentation_disposeImage(JNIEnv *env,
						    jobject obj)
{
  (*env)->FatalError(env, "Java_sun_awt_image_ImageRepresentation_disposeImage not implemented");
}
