/* -*- Mode: C; c-file-style: "gnu" -*-
   textarea.c -- native methods for sun/awt/motif/MTextAreaPeer..
   Created: Chris Toshok <toshok@hungry.com>, 14-Sep-1998.
 */
/*
  This file is part of Japhar, the GNU Virtual Machine for Java Bytecodes.
  Japhar is a project of The Hungry Programmers, GNU, and OryxSoft.

  Copyright (C) 1998 The Hungry Programmers

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */

#include "config.h"
#include "common.h"
#include "jni.h"

#include <Xm/Xm.h>
#include <Xm/Text.h>

#include <assert.h>
#include <stdlib.h>

JNIEXPORT void JNICALL
Java_sun_awt_motif_MTextAreaPeer_create(JNIEnv *env,
					jobject peer,
					jobject parent_peer)
{
  Widget text;
  Widget parent;

  parent = get_component_widget(env, parent_peer);

  LOCK_AWT();

  text = XmCreateText(parent,
		      "text",
		      NULL, 0);

  UNLOCK_AWT();

  set_component_widget(env, peer, text);
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MTextAreaPeer_pDispose(JNIEnv *env,
					  jobject peer)
{
}

JNIEXPORT jint JNICALL
Java_sun_awt_motif_MTextAreaPeer_getExtraWidth(JNIEnv *env,
					       jobject peer)
{
  return 0;
}

JNIEXPORT jint JNICALL
Java_sun_awt_motif_MTextAreaPeer_getExtraHeight(JNIEnv *env,
						jobject peer)
{
  return 0;
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MTextAreaPeer_setTextBackground(JNIEnv *env,
						   jobject peer,
						   jobject color)
{
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MTextAreaPeer_pSetEditable(JNIEnv *env,
					      jobject peer,
					      jboolean flag)
{
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MTextAreaPeer_select(JNIEnv *env,
					jobject peer,
					jint start,
					jint end)
{
}

JNIEXPORT jint JNICALL
Java_sun_awt_motif_MTextAreaPeer_getSelectionStart(JNIEnv *env,
						   jobject peer)
{
  return 0;
}

JNIEXPORT jint JNICALL
Java_sun_awt_motif_MTextAreaPeer_getSelectionEnd(JNIEnv *env,
						 jobject peer)
{
  return 0;
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MTextAreaPeer_setText(JNIEnv *env,
					 jobject peer,
					 jstring text)
{
}

JNIEXPORT jstring JNICALL
Java_sun_awt_motif_MTextAreaPeer_getText(JNIEnv *env,
					 jobject peer)
{
  return NULL;
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MTextAreaPeer_insert(JNIEnv *env,
					jobject peer,
					jstring text,
					jint position)
{
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MTextAreaPeer_replaceRange(JNIEnv *env,
					      jobject peer,
					      jstring replacement,
					      jint range_start,
					      jint range_end)
{
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MTextAreaPeer_setFont(JNIEnv *env,
					 jobject peer,
					 jobject font)
{
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MTextAreaPeer_setCaretPosition(JNIEnv *env,
						  jobject peer,
						  jint position)
{
}

JNIEXPORT jint JNICALL
Java_sun_awt_motif_MTextAreaPeer_getCaretPosition(JNIEnv *env,
						  jobject peer)
{
  return 0;
}
